using Godot;
using System;

public partial class ProfileConfigurator : Control
{
	[Export]
	public PopupDialog profilePanel;

	[Export]
	public Label externalNameLabel;

	[Export]
	public Label internalNameLabel;
	
	public override void _Ready()
	{
	}

	public void OnProfileButtonClick()
	{
		profilePanel.Show();
	}

    public void DisplayUserName(string name)
    {
		externalNameLabel.Text = name;
		internalNameLabel.Text = "Name: " + name;
    }
}
